const UserExperior = require('react-native-userexperior')
// import Database from "../../../../../../Components/common/Database";
// let realm = Database.getRealm();
// var vechicleData = realm.objects("PIVechicleData");
// var RealmCustomerDetails = realm.objects("CustomerDetails");
// let mobileNumber,
//     activityId,
//     activityTypeId,
//     licensePlateNumber,
//     quoteNumber,
//     ncb,
//     name,
//     email;

// activityId = vechicleData[0]?.activityId;
// activityTypeId = vechicleData[0].activityTypeId;
// licensePlateNumber = vechicleData[0]?.licensePlateNumber;
// quoteNumber = vechicleData[0]?.quoteNumber;
// ncb = vechicleData[0]?.ncb;

// mobileNumber = RealmCustomerDetails[0]?.mobileNumber;
// name = RealmCustomerDetails[0]?.name;
// email = RealmCustomerDetails[0]?.email;

export const UELogEvent = (message, data) => {
    console.log("UE Log Event ", message, data)
    try {
        UserExperior.logEvent(message, data)
    }
    catch (error) {
        console.log("Error in LibUserExperior UELogEvent =>", error)
    }
}
export const UELogMessage = (message, data) => {
    console.log("UE Log Message ", message, data)
    try {
        UserExperior.logMessage(message, data)
    }
    catch (error) {
        console.log("Error in LibUserExperior UELogMessage =>", error)
    }
}

export const UEStartTimer = UserExperior.startTimer
export const UEEndTimer = UserExperior.endTimer